none
Erreur lors de l'installation du RU5-V2 sur Exchange 2010 SP2. RRS feed

  • Question

  • Bonjour,

    J'essaye en vain depuis ce matin d'installer le RU5(-V2) KB2785908 sur mon serveur Exchange 2010 SP2.

    L'installation qu'elle passe par Microsoft Update ou par une installation manuelle se plante irrémédiablement avec l'erreur suivante :Produit : Microsoft Exchange Server - La mise à jour ‘Update Rollup 5-v2 for Exchange Server 2010 Service Pack 2 (KB2785908) 14.2.328.10’ n’a pas pu être installée. Code d’erreur 1603.

    Quand je l'installe via Windows Update j'ai aussi l'erreur 0x80070643

    Sur cette erreur j'ai vu des infos ici ou là sur un problème lié au Framework 4 mais les remèdes proposés n'ont rien donné.

    Auriez-vous une idée sur l'origine du problème ?

    Merci à vous.

    Pascal.


    Pascal.

    samedi 29 décembre 2012 15:18

Réponses

Toutes les réponses

  • Bonsoir,

    avez-vous essayer cette procédure ?

    http://support.microsoft.com/kb/981474/en-us?wa=wsignin1.0

    A bientôt,


    Thierry DEMAN. Exchange MVP. MCSA Windows Server 2012 (73 MCPs). https://mvp.support.microsoft.com/profile=CE2B565B-B13D-4C24-B04D-F0D5766D14A1 http://www.faqexchange.info

    • Marqué comme réponse PascalB41 lundi 31 décembre 2012 09:37
    dimanche 30 décembre 2012 20:56
    Modérateur
  • Bonjour, merci de m'avoir répondu et une excellente dernière journée de l'an 2012 !

    Ma situation semble bien relever du cas décrit puisque j'ai bien le même symptôme avec l'erreur 0x80070001 lors de l'appel AfterPatch et le code 1603.

    Par contre lorsque je cherche à déterminer la police qui s'applique sur mon serveur Exchange, je tombe sur la liste suivante :

    Scope           ExecutionPolicy
    -----           ---------------
    MachinePolicy   Undefined
    UserPolicy      Undefined
    Process         Undefined
    CurrentUser     Undefined
    LocalMachine    RemoteSigned

    J'ai donc été vérifié autant sur le DC que sur le serveur local, dans toutes les stratégies l'activation de l'exécution des scripts est réglée sur 'Non configuré'.

    Sur le DC la commande gpresult produit un fichier de réglages dans lequel n'apparait aucune clef pour le PowerShell.

    J'ai quand même essayé de lancer la commande PowerShell SerciceControl.ps1 AfterPatch et j'ai relancé l'installation du RU5 mais j'ai le même résultat...

    Une idée ?

    Pascal.


    Pascal.

    lundi 31 décembre 2012 09:37
  • Bonjour,

    il semble que ce soit la stratégie locale (RemoteSigned) qui doit être modifiée pour autoriser toute exécution!

    A bientôt


    Thierry DEMAN. Exchange MVP. MCSA Windows Server 2012 (73 MCPs). https://mvp.support.microsoft.com/profile=CE2B565B-B13D-4C24-B04D-F0D5766D14A1 http://www.faqexchange.info

    mercredi 2 janvier 2013 12:58
    Modérateur
  • Bonjour,

    Comme indiqué je suis donc allé voir les 2 stratégies locales (Ordinateur et Utilisateur), dans les 2 cas le paramètre d'exécution des script est déjà réglé sur 'non configuré'.

    J'ai donc lancé la commande ServiceControl.ps1 AfterPatch

    Elle s'est terminée avec le message :

    Au caractère C:\Program Files\Microsoft\Exchange Server\V14\Scripts\ManageScheduledTask.ps1:462 : 5
    +                 return $success
    +                 ~~~~~~~~~~~~~~~
    Le contrôle ne peut pas laisser un bloc Finally.
        + CategoryInfo          : ParserError: (:) [], ParentContainsErrorRecordException
        + FullyQualifiedErrorId : ControlLeavingFinally

    Et si je lance l'installation du patch RU-5 derrière ça n'aboutit pas...

    Je ne comprends pas où est le problème...


    Pascal.

    vendredi 4 janvier 2013 15:49
  • Bonjour,

    Bon après maintes recherches j'ai trouvé la solution à mon problème sur ce forum :

    http://blogs.technet.com/b/exchange/archive/2012/12/14/windows-management-framework-3-0-on-exchange-2007-and-exchange-2010.aspx

    En substance, la mise à jour Windows Management Framework 3.0 est incompatible avec Exchange 2010.

    Or, après vérification, celle-ci était bien installée sur mon serveur (sous le KB2506143).

    Je l'ai donc désinstallée puis j'ai pu installer le RU5-V2 en quelques minutes.

    Par contre je n'ai pas réinstallé le WMF3.0 après cela, je vais attendre de voir si mon serveur fonctionne correctement sans celui-ci.

    La lecture du forum dont j'ai indiqué l'adresse est par ailleurs édifiante...

    Merci à vous.


    Pascal.

    • Marqué comme réponse PascalB41 lundi 4 février 2013 13:53
    lundi 4 février 2013 13:53